/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// 項目長設定
	setMaxLength(PRM_TXT_USER_ID   , LEN_USER_ID   );
	setMaxLength(PRM_TXT_K_CODE    , LEN_K_CODE    );
	setMaxLength(PRM_TXT_USER_NAME , LEN_USER_NAME );
	setMaxLength(PRM_TXT_DATA_LEVEL, LEN_DATA_LEVEL);
	// 読取専用設定
	setReadOnly(PRM_TXT_USER_ID  , true);
	setReadOnly(PRM_TXT_K_CODE   , true);
	setReadOnly(PRM_TXT_USER_NAME, true);
	// フォーカス設定
	setFocus(PRM_PLT_AUTHORITY);
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmitMessage(objForm, cmd, 'QC0001', '');
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_TXT_USER_ID   , NAM_USER_ID   , aryMessage);
	checkRequired(PRM_TXT_K_CODE    , NAM_K_CODE    , aryMessage);
	checkRequired(PRM_TXT_USER_NAME , NAM_USER_NAME , aryMessage);
	checkRequired(PRM_PLT_AUTHORITY , NAM_AUTHORITY , aryMessage);
	checkRequired(PRM_TXT_DATA_LEVEL, NAM_DATA_LEVEL, aryMessage);
	checkRequired(PRM_PLT_DELETE    , NAM_DELETE    , aryMessage);
	checkCode    (PRM_TXT_USER_ID   , NAM_USER_ID   , aryMessage);
	checkCode    (PRM_TXT_K_CODE    , NAM_K_CODE    , aryMessage);
	checkCode    (PRM_PLT_AUTHORITY , NAM_AUTHORITY , aryMessage);
	checkNumber  (PRM_TXT_DATA_LEVEL, NAM_DATA_LEVEL, aryMessage);
	checkNumber  (PRM_PLT_DELETE    , NAM_DELETE    , aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
